<?php
/**
 * RSS title slider
 *
 * @package RSS title slider
 * @subpackage RSS title slider
 * @version   3.4
 * @author    Gopi Ramasamy
 * @copyright Copyright (C) 2010 - 2015 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2012/04/rss-title-slider-joomla-module/
 */

// no direct access
defined('_JEXEC') or die;

class modRssTitleSliderHelper
{
	public static function loadScripts(&$params)
	{
		$doc = JFactory::getDocument();
		$rts_jquery = $params->get("rts_jquery","yes");	
		if($rts_jquery == "yes")	
		{
			$doc->addScript(JURI::Root(true).'/modules/mod_rss_title_slider/js/jquery.min.js');
		}
		$doc->addScript(JURI::Root(true).'/modules/mod_rss_title_slider/js/jquery.cycle.all.min.js');
		$doc->addStyleSheet(JURI::Root(true).'/modules/mod_rss_title_slider/css/mod_rss_title_slider.css');
	}
	
	public static function getRssList($args)
	{
	  	$url = "";
		$url = $args['rts_rss'];
	  	if($url == "")
		{
			$url = "http://www.gopiplus.com/work/feed";
		}
		
		$items	= array();
		$xml = "";
		$cnt=0;
		$content = @file_get_contents($url);
		if (strpos($http_response_header[0], "200")) 
		{
			$f = fopen( $url, 'r' );
			while( $data = fread( $f, 4096 ) ) { $xml .= $data; }
			fclose( $f );
			preg_match_all( "/\<item\>(.*?)\<\/item\>/s", $xml, $itemblocks );
			$i=0;
			if ( ! empty($itemblocks) ) 
			{
				foreach( $itemblocks[1] as $block )
				{
					preg_match_all( "/\<title\>(.*?)\<\/title\>/",  $block, $title );
					preg_match_all( "/\<link\>(.*?)\<\/link\>/", $block, $link );
					$rss_title = $title[1][0];
					$rss_title = trim($rss_title);
					$rss_link = $link[1][0];
					$rss_link = trim($rss_link);
					//$items = new stdClass();
					$items[$i] = new StdClass;
					$items[$i]->title = $rss_title;
					$items[$i]->links = $rss_link;
					$i++;			
				}	
			}
		}
		else
		{
			echo "Invalid or Broken rss link.";
		}
      	return $items;
    }
}
?>