<?php
/**
 * RSS title slider
 *
 * @package RSS title slider
 * @subpackage RSS title slider
 * @version   3.4
 * @author    Gopi Ramasamy
 * @copyright Copyright (C) 2010 - 2015 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2012/04/rss-title-slider-joomla-module/
 */

// no direct access
defined('_JEXEC') or die;
if ( ! empty($items) ) 
{
	echo '<div id="RSS-SHOW-'.$rts_css.'">';
	foreach ( $items as $item ) 
	{
		$title	=  $item->title;
		$link 	=  $item->links;
		echo '<p><a target="_blank" href="'.$link.'">'.$title.'</a></p>';
	}
	echo '</div>';
}
?>
<!-- start rss title slider -->
<script type="text/javascript">
jQuery(function() {
jQuery('#RSS-SHOW-<?php echo $rts_css; ?>').cycle({
	fx: '<?php echo $rts_direction; ?>',
	speed: <?php echo $rts_speed; ?>,
	timeout: <?php echo $rts_timeout; ?>
});
});
</script>
<!-- end rss title slider -->